# Mageia's configure macro needs to be overridden until
# the configure macros are unified.
# See: https://bugs.mageia.org/show_bug.cgi?id=19902
%{?configure2_5x: %global configure %configure2_5x}

Name:           slibtool
Version:        0.5.19
Release:        0%{?dist}.1
Summary:        A skinny libtool implementation, written in C
Group:          Development/Tools
License:        MIT
URL:            http://git.midipix.org/cgit.cgi/slibtool
Source0:        http://midipix.org/dl/slibtool/%{name}-%{version}.tar.xz

BuildRequires:  gcc, make

%description
'slibtool' is an independent reimplementation of the widely used libtool,
written in C. 'slibtool' is designed to be a clean, fast, easy-to-use
libtool drop-in replacement, and is accordingly aimed at package authors,
distro developers, and system integrators. 'slibtool' maintains compatibility
with libtool in nearly every aspect of the tool's functionality as well as
semantics, leaving out (or turning into a no-op) only a small number of
features that are no longer needed on modern systems.

Being a compiled binary, and although not primarily written for the sake of
performance, building a package with 'slibtool' is often faster than with its
script-based counterpart. The resulting performance gain would normally vary
between packages, and is most noticeable in builds that invoke libtool a large
number of times, and which are characterized by the short compilation duration
of individual translation units.


%prep
%autosetup


%build
# Not actually autotools :(
%{?mageia:%setup_compile_flags}
%{?fedora:%set_build_flags}
./configure \
	    --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
	    --bindir=%{_bindir} --sbindir=%{_sbindir} \
	    --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
	    --includedir=%{_includedir} --libdir=%{_libdir} \
	    --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} \
	    --mandir=%{_mandir} --infodir=%{_infodir}



%make_build


%install
%make_install


%files
%license COPYING.SLIBTOOL
%doc README NEWS THANKS CONTRIB
%{_bindir}/{c,d,s}libtool*


%changelog
* Sun Jun 03 2018 Neal Gompa <ngompa13@gmail.com> - 0.5.19-0.1
- Initial packaging
